Has patch: Hito:
Add-on name: Unknown
Description

Al instalar el paquete de gvSIG Mobile, cuando va a instalar el de hortonmachine-base salta error en un Windows de un usuario. Le
ha ocurrido con 2 builds diferentes de la 2.5.1 portable.

En el log se ve que añade una "s" a la URL del paquete, y por eso no lo encuentra:

http://downloads.gvsig.org/download/gvsig-desktop-testing/pool/org.hortonmachine.gvsig.base/gvSIG-desktop-2.3.0-org.hortonmachi
e.gvsig.base-0.3.0-1-release-all-all-j1_8.gvspkgs

Adjunto log.

Nosotros lo hemos probado en un Linux y en un Windows 64 (con el mismo build) y conecta bien.

History
#1 - 09/10/2020 10:36 AM - Mario Carrera
- Subject changed from Error al instalar un paquete en el Administrador de complementos to Error al instalar un paquete en el Administrador de 
complementos: URL incorrecta

#2 - 09/12/2020 04:41 PM - Joaquín  del Cerro Murciano

Hasta donde recuerdo, el error de la "s" se da siempre, es un problema al sacar el mensaje en el log.

#3 - 09/12/2020 05:35 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3042-RC2 to 2.6.1-final

#4 - 09/14/2020 09:18 AM - Mario Carrera

Yo comprobé en mi log en Linux y no aparecía la "s" en la URL, y se instalaba correctamente. Acabo de instalar también en Windows para comprobar
el log, y se ha instalado correctamente y tampoco aparecía la "s" en la URL.

En el ordenador del usuario aparece la "s", el log dice que no encuentra dicho fichero, y no se instala la extensión. Lo que le ocurre concretamente
es:

"antes de llegar a la mitad de la descarga, casi siempre en el mismo punto (aproximadamente al 30%), se interrumpe, reinicia la descarga, se vuelve a
http://downloads.gvsig.org/download/gvsig-desktop-testing/pool/org.hortonmachine.gvsig.base/gvSIG-desktop-2.3.0-org.hortonmachine.gvsig.base-0.3.0-1-release-all-all-j1_8.gvspkgs
http://downloads.gvsig.org/download/gvsig-desktop-testing/pool/org.hortonmachine.gvsig.base/gvSIG-desktop-2.3.0-org.hortonmachine.gvsig.base-0.3.0-1-release-all-all-j1_8.gvspkgs


interrumpir y aparece un mensaje, No se han podido descargar estos paquetes...."

Dice que los paquetes de simbología los ha descargado sin problema.

#5 - 09/14/2020 06:42 PM - Mario Carrera
- File Nuevo_gvSIG_log_Arturo.zip added

Acaba de responder el usuario. Dice que ha probado otra vez por URL en el BN 3024. Ha probado primero y le ha fallado, es decir, al 30%
aproximadamente se para, reinicia la descarga solo, se vuelve a parar y sale el mensaje de error, "No se puede cargar el complemento". A
continuación al cabo de unos minutos, sin hacer nada, lo ha intentado de nuevo y ha descargado bien el complemento y lo ha instalado.

Adjunto el log nuevo, donde parece que se ve la primera conexión con la "s" que da error y la segunda que funciona.

#6 - 09/16/2020 05:59 PM - Joaquín  del Cerro Murciano

Mario Carrera wrote:

Acaba de responder el usuario. Dice que ha probado otra vez por URL en el BN 3024. Ha probado primero y le ha fallado, es decir, al 30%
aproximadamente se para, reinicia la descarga solo, se vuelve a parar y sale el mensaje de error, "No se puede cargar el complemento". A
continuación al cabo de unos minutos, sin hacer nada, lo ha intentado de nuevo y ha descargado bien el complemento y lo ha instalado.

Adjunto el log nuevo, donde parece que se ve la primera conexión con la "s" que da error y la segunda que funciona.

No te rayes con la s, es un error al sacar la traza del error. Esta ahi desde la 2.0.
Si no le descargaba es por que tendria algun problema de conexion, el o nuestro servidor.

#7 - 09/16/2020 06:03 PM - Mario Carrera
- Status changed from New to Closed

Ok, cierro el ticket entonces.

#8 - 12/02/2020 07:39 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3201

Files
gvSIG.log 495 KB 09/10/2020 Mario Carrera
Nuevo_gvSIG_log_Arturo.zip 51.6 KB 09/14/2020 Mario Carrera
